Home Forums spacedesk Discussions Need Old Version

Viewing 3 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #6552
    freemoonGBA
    Participant

    Hi I am Free. I need v1.0.10 spacedesk to install the new one but I delete it.
    Thanks!

    • This topic was modified 7 months, 2 weeks ago by freemoonGBA.
    #6556
    spacedesk Lea
    Keymaster

    Hi @freemoongba,
    We have sent the spacedesk Driver BETA 1.0.10 msi installer to your registered email address, please check.

    #6557
    freemoonGBA
    Participant

    Thannks!

Viewing 3 posts - 1 through 2 (of 2 total)
  • The topic ‘Need Old Version’ is closed to new replies.